Get purchase order by number
Retrieve a purchase order and its line items by the purchase order number you assigned. Purchase order numbers are unique within your system.
Query Parameters
- Type: stringpurchase
Order Number requiredThe purchase order number
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/v1/purchase-orders
curl 'https://api.prod.goaugment.com/v1/purchase-orders?purchaseOrderNumber=PO-1001' \
--header 'Authorization: Basic username:password'
{
"id": "01JPURCHASEORDERRECORD0001",
"purchaseOrderNumber": "PO-1001",
"internalPurchaseOrderNumber": "string",
"status": "OPEN",
"purchaseOrderDate": "2026-08-18",
"customData": {},
"lineItems": [
{
"id": "string",
"lineNumber": "string",
"sku": "string",
"description": "string",
"orderedQuantity": 1,
"openQuantity": 1,
"unitOfMeasure": "string",
"unitPrice": "string",
"currency": "string",
"status": "OPEN",
"expectedArrivalDate": "2026-09-02",
"customData": {}
}
],
"createdAt": "2026-09-01T22:38:15.348Z",
"updatedAt": "2026-09-01T22:38:15.348Z"
}